Last modified: 2013-12-03 02:33:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36149 - Unsuitable default texts in the extension
Unsuitable default texts in the extension
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Low minor with 1 vote (vote)
: ---
Assigned To: Theopolisme
gci2013
: easy
Depends on: 43984
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-04-22 06:32 UTC by Niklas Laxström
Modified: 2013-12-03 02:33 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2012-04-22 06:32:52 UTC
There are some texts which make using the extension in non Wikimedia context problematic:

"Thanks for using our new upload tool! Help with translations" - it's not necessarily new nor do the users need to concern themselves with translations. Suggesting that this is moved to local customization.

"Select a media file to donate" - user's are not necessarily donating anything. Suggesting to have neutral wording "Select a file to upload" by default, having the other wording again as local customization or configuration option.
Comment 1 Niklas Laxström 2012-04-22 07:48:09 UTC
One more:

"You can now use this file on sites like Wikipedia, or link to it on the web."
Comment 2 Mark Holmquist 2012-05-22 17:34:27 UTC
Marking as easy, this should only take a few lines of code to fix, most of it just editing i18n strings. Will need to move one thing into the config file, too.
Comment 3 Nemo 2013-01-15 10:17:19 UTC
Also, from
<https://translatewiki.net/wiki/Thread:Support/Upload_wizard_upload_button> (in addition to bug 43984):
"the UploadWizard supports one or several files. Since this cannot be known in
advance, the message must cover both case".
Technically if one selects multiple media it's correct to say one has selected
one [at least], while it's not true of the contrary; non-verbose translatable
options needed.
Comment 4 Nischay Nahata 2013-03-19 17:58:21 UTC
https://gerrit.wikimedia.org/r/54688 fixes the last comment.
Comment 5 Mark Holmquist 2013-11-26 19:31:00 UTC
Marking as a candidate for GCI.
Comment 6 Theopolisme 2013-11-28 06:49:48 UTC
@Niklas, what would you suggest instead for that last one? Would something like this make sense? Or did you have something else in mind? :/

"You can now use this file on wikis, or link to it on the web."

Re your first issue, I think the easiest way to do this is to just add two new config options:

* headerMessage, which can be set to a string that replaces "Thanks for using our new upload tool!" or alternatively set to "default" which uses the standard i18n translations for "Thanks for using our new upload tool!" (so as to be backwards-compatible and all).

* showTranslateLink, which determines whether or not the "Help with translations" link is displayed.

Finally, it looks like the "Select a media file to donate" deal has already been resolved (changed to "share"/"upload").

Am I missing anything here (or is there anything that needs further discussion)? Otherwise I'll get to working on a patch for this :)
Comment 7 Quim Gil 2013-11-28 06:56:24 UTC
A Google Code-in student (Theopolisme, actually) is allegedly working on this task:

http://www.google-melange.com/gci/task/view/google/gci2013/5897248466534400
Comment 8 Nemo 2013-11-28 07:31:58 UTC
(In reply to comment #6)
> @Niklas, what would you suggest instead for that last one? Would something
> like
> this make sense? Or did you have something else in mind? :/
> 
> "You can now use this file on wikis, or link to it on the web."

OK.

> 
> Re your first issue, I think the easiest way to do this is to just add two
> new
> config options:
> 
> * headerMessage, which can be set to a string that replaces "Thanks for using
> our new upload tool!" or alternatively set to "default" which uses the
> standard
> i18n translations for "Thanks for using our new upload tool!" (so as to be
> backwards-compatible and all).
> 
> * showTranslateLink, which determines whether or not the "Help with
> translations" link is displayed.

Those are viable solutions, though they make sense only if you also submit a patch for such a configuration against operations/mediawiki-config repo. Additional configurations are hardly the easiest way; this part could just be removed, it's been a while since UploadWizard has been introduced on this and other wikis.
Comment 9 Gerrit Notification Bot 2013-11-29 05:13:39 UTC
Change 98148 had a related patch set uploaded by Theopolisme:
Update and remove unnecessary messages

https://gerrit.wikimedia.org/r/98148
Comment 10 Gerrit Notification Bot 2013-12-03 02:32:24 UTC
Change 98148 merged by jenkins-bot:
Update and remove unnecessary messages

https://gerrit.wikimedia.org/r/98148
Comment 11 Mark Holmquist 2013-12-03 02:33:00 UTC
We're gonna call this closed now that we've axed the message entirely and updated other problematic ones. Thanks, Theopolisme!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links